matrix:
  platform:
  - centos7_java11_devtoolset10
  - debian10
  - ubuntu2004
  - macos
  - windows
  bazel:
  - 6.x
  - 7.x
  - 8.0.0rc6
tasks:
  build:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++14'
    build_targets:
    - '@re2//:re2'
    - '@re2//python:re2'

bcr_test_module:
  module_path: '.'

  matrix:
    platform:
    - centos7_java11_devtoolset10
    - debian10
    - ubuntu2004
    - macos
    - windows
    bazel:
    - 6.x
    - 7.x
    - 8.0.0rc6
  tasks:
    test:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_flags:
      - '--cxxopt=-std=c++14'
      test_targets:
      - '//:all'
      - '-//:dfa_test'
      - '-//:exhaustive1_test'
      - '-//:exhaustive2_test'
      - '-//:exhaustive3_test'
      - '-//:exhaustive_test'
      - '-//:random_test'
      - '//python:all'
